dladiv.f(3)

NAME
dladiv.f -

SYNOPSIS

  Functions/Subroutines
subroutine DLADIV (A, B, C, D, P, Q)
DLADIV

Function/Subroutine Documentation

  subroutine DLADIV (DOUBLE PRECISIONA, DOUBLE PRECISIONB, DOUBLE PRECISIONC, DOUBLE PRECISIOND, DOUBLE PRECISIONP, DOUBLE PRECISIONQ)

DLADIV

Purpose:

     DLADIV performs complex division in  real arithmetic
                           a + i*b
                p + i*q = ---------
                           c + i*d
     The algorithm is due to Robert L. Smith and can be found
     in D. Knuth, The art of Computer Programming, Vol.2, p.195

Parameters:
    A

              A is DOUBLE PRECISION

    B

              B is DOUBLE PRECISION

    C

              C is DOUBLE PRECISION

    D

              D is DOUBLE PRECISION
              The scalars a, b, c, and d in the above expression.

    P

              P is DOUBLE PRECISION

    Q

              Q is DOUBLE PRECISION
              The scalars p and q in the above expression.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 91 of file dladiv.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.